##############################################################################################
# bring in data from an outside tab delimited text file, can be converted from a EXCEL file
#     (shown in this example)
#
##############################################################################################
rm(list=ls(all=TRUE))  # clear any remaining objects from previous R sessions

standdat<- read.table("E:\\R_workshop\\materials for nigeria_2009\\course_materials_nigera\\data\\stand.txt",header=TRUE)

attach(standdat)
names(standdat)

standdat

lnvolha=log(vol.ha)
lnage=log(age)
lnbaha=log(ba.ha)

detach(standdat)

standdat<-data.frame(standdat,lnvolha,lnage,lnbaha)
rm(lnvolha,lnage,lnbaha)

attach(standdat)
names(standdat)

par(mfrow=c(3,3),cex=0.7)
plot(vol.ha~age,data=standdat)
plot(vol.ha~si,data=standdat)
plot(vol.ha~ba.ha,data=standdat)
plot(vol.ha~stems.ha,data=standdat)
plot(vol.ha~topht,data=standdat)
plot(vol.ha~qdbh,data=standdat)
plot(lnvolha~lnage,data=standdat)
plot(lnvolha~lnbaha,data=standdat)
par(mfrow=c(1,1),cex=1)

##### First model ######################################

model.volha1<-lm(vol.ha~age+si)  
lm.volha1
summary(lm(model.volha1))
anova(lm(model.volha1))

yhat1<-fitted(model.volha1)
resid1<-resid(model.volha1)
cbind(vol.ha,yhat1,resid1) 

par(mfrow=c(2,2),cex=0.7)
plot(yhat1~vol.ha)
abline(a=0,b=1)   # plot a reference line where yhat equals height 

plot(resid1~yhat1)  # residual plot

qqnorm(resid1)     # normality plot
qqline(resid1,col=2)

hist(resid1, breaks =6 , density=10,col="green", border="black") # draws a histogram
par(mfrow=c(1,1),cex=1)

##### Second model ######################################

model.volha2<-lm(vol.ha~ba.ha+stems.ha)  
lm.volha2
summary(lm(model.volha2))
anova(lm(model.volha2))

yhat2<-fitted(model.volha2)
resid2<-resid(model.volha2)
cbind(vol.ha,yhat2,resid2) 

par(mfrow=c(2,2),cex=0.7)
plot(yhat2~vol.ha)
abline(a=0,b=1)   # plot a reference line where yhat equals height 

plot(resid2~yhat2)  # residual plot

qqnorm(resid2)     # normality plot
qqline(resid2,col=2)

hist(resid2, breaks =6 , density=10,col="green", border="black") # draws a histogram
par(mfrow=c(1,1),cex=1)


















